
package de.ivu.elect.business;

import javax.enterprise.inject.Specializes;
import javax.inject.Inject;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

@Specializes
public class NlWasStartup extends WasStartup {

  private static final Logger LOG = LoggerFactory.getLogger(NlWasStartup.class);

  @Inject
  private transient NlVersion version;

  public NlWasStartup() {
    super();
  }

  @Override
  public void init() {
    super.init();

    dumpLogo();
    dumpVersion();
  }

  private void dumpLogo() {
    NlStartupUtil.dumpLogo(LOG, calculateLogoTab(LOG));
  }

  private void dumpVersion() {
    NlStartupUtil.dumpVersion(LOG, calculateLogoTab(LOG), version);
  }
}
